<template>
  <div class="md-layout">
    <div class="md-layout-item md-size-100">
      <md-card>
        <md-card-header class="md-card-header-icon md-card-header-green">
          <div class="card-icon">
            <md-icon>content_paste</md-icon>
          </div>
          <h4 class="title">Le mie segnalazioni</h4>
        </md-card-header>
        <md-card-content>
          <md-table v-model="issues" table-header-color="green">
            <md-table-row slot="md-table-row" slot-scope="{ item }">
              <md-table-cell md-label="Categoria">{{ item.category }}</md-table-cell>
              <md-table-cell md-label="Descrizione">{{ item.description }}</md-table-cell>
              <md-table-cell md-label="Stato">{{ item.status }}</md-table-cell>
            </md-table-row>
          </md-table>
        </md-card-content>
      </md-card>
    </div>
  </div>
</template>

<script>
  import axios from 'axios'
  export default {
    name: "MyIssues",
    data: function () {
      return {
        issues: []
      }
    },
    methods: {
      getMyIssues: function () {
        const userId = localStorage.getItem('userId');
        console.log(userId);
        axios.get('/issues?authorId='+userId)
          .then(({data: issues}) => {
            this.issues = issues;
          })
      }
    },
    mounted: function () {
      this.getMyIssues()
    }
  }
</script>

<style scoped>

</style>
